Bug 831898 - Mysql error watching live TV in mythfrontend
Mysql error watching live TV in mythfrontend
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 23:13 EDT by David Highley
Modified: 2012-06-28 08:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-28 08:30:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Highley 2012-06-13 23:13:33 EDT
Description of problem:


Version-Release number of selected component (if applicable):
selinux-policy-targeted-3.10.0-86.fc16.noarch

How reproducible:
Seems to happen every time initiate viewing of live TV

Steps to Reproduce:
1.
2.
3.
  
Actual results:
time->Wed Jun 13 19:59:37 2012
type=SYSCALL msg=audit(1339642777.143:269): arch=c000003e syscall=21 success=no exit=-13 a0=7feb401329f0 a1=4 a2=7feb401329fe a3=1c items=0 ppid=1 pid=5583 auid=4294967295 uid=27 gid=27 euid=27 suid=27 fsuid=27 egid=27 sgid=27 fsgid=27 tty=(none) ses=4294967295 comm="mysqld" exe="/usr/libexec/mysqld" subj=system_u:system_r:mysqld_t:s0 key=(null)
type=AVC msg=audit(1339642777.143:269): avc:  denied  { read } for  pid=5583 comm="mysqld" name="unix" dev="proc" ino=4026532000 scontext=system_u:system_r:mysqld_t:s0 tcontext=system_u:object_r:proc_net_t:s0 tclass=file

Expected results:


Additional info:
Fixed by adding the following polcy:
module my2sqld 1.0;

require {
 	type proc_net_t;
 	type mysqld_t;
	class file { read };
}

#============= mysqld_t ==============
#!!!! This avc is allowed in the current policy

allow mysqld_t proc_net_t:file read;
Comment 1 Daniel Walsh 2012-06-14 15:00:49 EDT
This is allowed in F17.

Note You need to log in before you can comment on or make changes to this bug.